Page MenuHomePhabricator

Revert: iiab temporary m1.xlarge increase
Closed, ResolvedPublic

Description

I would like to consolidate VPS storage for the IIAB project into an m1.xlarge instance.

The IIAB project has an instance https://horizon.wikimedia.org/project/instances/e07e4dac-3ef0-4361-a641-aaf7a49536e3/ that only uses half its quota. I would like to rebuild this VPS as an m1.xlarge instance, but I would like to keep the current instance active until that has been done. I am therefore asking for a sufficient increase of quota to have both instances. Once the migration is complete, I will transfer the fixed IP to it and delete the current one. The quota can then be reduced to the current level.


Project Name: iiab
Type of quota increase requested: cpu/ram (+xlarge)
Amount of quota increase: xlarge equiv
Reason: temporary migration

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2018, 2:37 PM

Can someone tell me what the next step is for this request? Thanks.

bd808 added a subscriber: bd808.

+1.

@Tim-moody once you build your second xl instance, please do try to move your data and delete the old instance within a week or so. We are a bit tight on space at the moment for the cluster. We have new servers that should be coming online soon, but they aren't in service yet.

Will do, but the quota to build the m1.xlarge has not been granted.

madhuvishy triaged this task as Normal priority.
madhuvishy added a subscriber: madhuvishy.

Hey @Tim-moody, Chase is on-call this week and will make the changes soon :) Thanks for your patience!

Okay @chasemp so does this mean we can get this done the week of March 5th?

chasemp changed the task status from Open to Stalled.Mar 5 2018, 3:43 PM
chasemp updated the task description. (Show Details)
chasemp updated the task description. (Show Details)
chasemp updated the task description. (Show Details)
root@labcontrol1001:~# nova quota-update iiab --ram 32768
root@labcontrol1001:~# nova quota-update iiab --cores 16
root@labcontrol1001:~# nova quota-show --tenant iiab
+-----------------------------+-------+
| Quota                       | Limit |
+-----------------------------+-------+
| instances                   | 8     |
| cores                       | 16    |
| ram                         | 32768 |
| floating_ips                | 1     |
| fixed_ips                   | 200   |
| metadata_items              | 128   |
| injected_files              | 5     |
| injected_file_content_bytes | 10240 |
| injected_file_path_bytes    | 255   |
| key_pairs                   | 100   |
| security_groups             | 10    |
| security_group_rules        | 20    |
| server_groups               | 10    |
| server_group_members        | 10    |
+-----------------------------+-------+

Please use the request format in the future so it's easier to parse :)

chasemp renamed this task from Request temporary increase of quota for current instance plus an m1.xlarge instance to Revert: iiab temporary m1.xlarge increase.Mar 5 2018, 3:45 PM

Okay so do you need us to submit something further?

bd808 added a comment.Mar 5 2018, 4:00 PM

Okay so do you need us to submit something further?

You should have the increased quota now. Make your new VM, migrate the data over, and delete the old one. Then let us know when you are finished so we can revert the quota increase.

Okay so do you need us to submit something further?

You should have the increased quota now. Make your new VM, migrate the data over, and delete the old one. Then let us know when you are finished so we can revert the quota increase.

yep, and thanks!

The new vm has been built and migrated. I have deleted the old instance. You may revert the quota to an m1.xlarge.

thanks

bd808 closed this task as Resolved.Mar 9 2018, 12:31 AM
root@labcontrol1001:~# nova quota-update iiab --ram 16384
root@labcontrol1001:~# nova quota-update iiab --cores 8
root@labcontrol1001:~# nova quota-show --tenant iiab
+-----------------------------+-------+
| Quota                       | Limit |
+-----------------------------+-------+
| instances                   | 8     |
| cores                       | 8     |
| ram                         | 16384 |
| floating_ips                | 1     |
| fixed_ips                   | 200   |
| metadata_items              | 128   |
| injected_files              | 5     |
| injected_file_content_bytes | 10240 |
| injected_file_path_bytes    | 255   |
| key_pairs                   | 100   |
| security_groups             | 10    |
| security_group_rules        | 20    |
| server_groups               | 10    |
| server_group_members        | 10    |
+-----------------------------+-------+